Package org.eclipse.emf.cdo.spi.common.revision

## Interface InternalCDOFeatureDelta

- All Superinterfaces:
    `CDOFeatureDelta`

      public interface InternalCDOFeatureDelta
      extends CDOFeatureDelta

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `InternalCDOFeatureDelta.ListIndexAffecting` | If the meaning of this type isn't clear, there really should be more of a description here...
    `static interface` | `InternalCDOFeatureDelta.ListTargetAdding` | If the meaning of this type isn't clear, there really should be more of a description here...
    `static interface` | `InternalCDOFeatureDelta.WithIndex` | If the meaning of this type isn't clear, there really should be more of a description here...

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `CDOFeatureDelta.Type`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `NO_INDEX, UNKNOWN_VALUE`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `accept, apply, applyTo, copy, getFeature, getType, isStructurallyEqual`